Package org.eclipse.graphiti.ui.internal.util.draw2d

# Enum Class GFBendpointHandle.Type

java.lang.Object
java.lang.Enum<GFBendpointHandle.Type>
org.eclipse.graphiti.ui.internal.util.draw2d.GFBendpointHandle.Type

All Implemented Interfaces:
  `Serializable`, `Comparable<GFBendpointHandle.Type>`, `Constable`

Enclosing class:
  GFBendpointHandle

public static enum GFBendpointHandle.Type extends Enum<GFBendpointHandle.Type>
Enumeration of the supported types of the bendpoint handle (create/move).

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`CREATE`
`MOVE`

## Method Summary

Modifier and Type
Method
Description
`static GFBendpointHandle.Type`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static GFBendpointHandle.Type[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### CREATE

public static final GFBendpointHandle.Type CREATE

### MOVE

public static final GFBendpointHandle.Type MOVE

## Method Details

### values

public static GFBendpointHandle.Type[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static GFBendpointHandle.Type valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null